      subroutine autoj_tau(iuo,nbins,aj) ! bernd berg aug 02 2002.
c jackknife analysis of the exponential and integrated 
c autocorrelation times. input: coefficients from jackknifed fits.
      include '../../libs//fortran/implicit.sta'
      include '../../libs//fortran/constants.par'
      parameter(nb_max=256)
      dimension tauj_exp(0:nb_max),tauj_int(0:nb_max),aj(0:nbins) 
      if(nbins.gt.nb_max) stop "auto_tau: enlarge nb_max!"
      do ibin=0,nbins
        tauj_exp(ibin)=-one/aj(ibin) 
        tauj_int(ibin)=one+two*exp(aj(ibin))/(one-exp(aj(ibin)))
      end do
      call stebj0(nbins,tauj_exp(1),taum,tauv,taue)
      write(iuo,'(/," taum_exp =",f14.8," +/=",f14.8)') taum,taue
      bias=tauj_exp(0)-taum
      write(iuo,'(" bias estimate =",f14.8)') bias
      call stebj0(nbins,tauj_int(1),taum,tauv,taue)
      write(iuo,'(/," taum_int =",f14.8," +/=",f14.8)') taum,taue
      bias=tauj_int(0)-taum
      write(iuo,'(" bias estimate =",f14.8)') bias
      return
      end
